[Launch]
ProgramExecutable=PDFEditor\icepdfeditor.exe
SinglePortableAppInstance=True
DirectoryMoveOK=yes

[Activate]
Registry=true

[RegistryKeys]
PDFEditor=HKCU\Software\Icecream\Icecream PDF Editor New
-=HKCU\Software\QtProject\OrganizationDefaults
-=HKCU\Software\Microsoft\Direct3D\MostRecentApplication
-=HKCU\Software\Microsoft\IntelliPoint\AppSpecific\icepdfeditor.exe
-=HKCU\Software\Microsoft\IntelliType Pro\AppSpecific\icepdfeditor.exe

[RegistryValueWrite]
HKCU\Software\Icecream\Icecream PDF Editor New\DisplayVersion=REG_SZ:v. 3.32
HKCU\Software\Icecream\Icecream PDF Editor New\CurrentVersion=REG_SZ:3.32
HKCU\Software\Icecream\Icecream PDF Editor New\SendData=REG_DWORD:0
HKCU\Software\Icecream\Icecream PDF Editor New\uex=REG_DWORD:0

[RegistryCleanupForce]
1=HKCU\Software\Icecream\Icecream PDF Editor
2=HKCU\Software\QtProject\OrganizationDefaults
3=HKCU\Software\QtProject

[RegistryCleanupIfEmpty] 
1=HKCU\Software\Icecream
2=HKCU\Software\QtProject

[FilesMove]
log\sx.log=%ALLUSERSAPPDATA%

[DirectoriesMove]
PDFEditor=%LOCALAPPDATA%\Icecream\Icecream PDF Editor

[DirectoriesCleanupForce]
1=%LOCALAPPDATA%\Icecream\Icecream PDF Editor
2=%APPDATA%\Icecream\Icecream PDF Editor
3=%USERPROFILE%\.Icecream PDF Editor\log
4=%USERPROFILE%\.Icecream PDF Editor

[DirectoriesCleanupIfEmpty]
1=%LOCALAPPDATA%\Icecream
2=%APPDATA%\Icecream

[FileWrite1]
Type=Replace
File=%pal:DataDir%\Settings\PDFEditor.reg
Find=%USERPROFILE%\AppData\Roaming
Replace=%pal:DataDir:doublebackslash%

[FileWrite2]
Type=Replace
File=%pal:DataDir%\Settings\PDFEditor.reg
Find=%PAL:LastPortableAppsBaseDir:DoubleBackslash%\\
Replace=%PAL:PortableAppsBaseDir:DoubleBackslash%\\

[FileWrite3]
Type=Replace
File=%pal:DataDir%\Settings\PDFEditor.reg
Find=%PAL:LastDrive%\\
Replace=%PAL:Drive%\\
